package com.bjtdba.merchant.dao;

import com.bjtdba.merchant.entity.StoreStaff;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
@Repository
@Mapper
public interface StoreStaffDao {
    long countByExample(StoreStaff example);

    int deleteByExample(StoreStaff example);

    int deleteByPrimaryKey(Integer id);

    int insert(StoreStaff record);

    int insertSelective(StoreStaff record);

    List<StoreStaff> selectByExample(StoreStaff example);

    StoreStaff selectByPrimaryKey(Integer id);

    List<StoreStaff> selectBymerId(Integer merid);

    int updateByExampleSelective(@Param("record") StoreStaff record, @Param("example") StoreStaff example);

    int updateByExample(@Param("record") StoreStaff record, @Param("example") StoreStaff example);

    int updateByPrimaryKeySelective(StoreStaff record);

    int updateByPrimaryKey(StoreStaff record);

   StoreStaff selectAdminUser(String uid);
   int selectCount(int uid);
}
